Skip to main content
POST
Email Gateway Setup(Sendgrid)

Endpoint Overview

POST https://api.unibee.dev/merchant/email/gateway_setup Email Gateway Setup(Sendgrid)

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
data
string<string>
required

The setup data of email gateway

gatewayName
string<string>
required

The name of email gateway, available for sendgrid

IsDefault
boolean<bool>
default:true

Whether setup the gateway as default or not, default is true

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>